#include "ConfigurableCollisionComponent.h"
#include "Engine/HitResult.h"

class UPrimitiveComponent;
class AActor;

void UConfigurableCollisionComponent::OnLevelReadyToPlay()
{

}

void UConfigurableCollisionComponent::OnEndOverlap(UPrimitiveComponent* overlappedComponent, AActor* otherActor, UPrimitiveComponent* otherComp, int32 otherBodyIndex)
{

}

void UConfigurableCollisionComponent::OnBeginOverlap(UPrimitiveComponent* overlappedComponent, AActor* otherActor, UPrimitiveComponent* otherComp, int32 otherBodyIndex, bool fromSweep, const FHitResult& sweepResult)
{

}

UConfigurableCollisionComponent::UConfigurableCollisionComponent()
{
	this->_spawnOnAuthorityOnly = false;
}
